Page MenuHomePhabricator

[analyzer][NFC] Make sure that the BugReport is not modified during the construction of non-visitor pieces
ClosedPublic

Authored by Szelethus on Aug 1 2019, 7:21 AM.

Details

Summary

I feel this is kinda important, because in a followup patch I'm adding different kinds of interestingness, and propagating the correct kind in BugReporter.cpp is just one less thing to worry about.

Diff Detail

Repository
rL LLVM

Event Timeline

Szelethus created this revision.Aug 1 2019, 7:21 AM
NoQ accepted this revision.Aug 7 2019, 3:13 PM
NoQ added inline comments.
clang/include/clang/StaticAnalyzer/Core/BugReporter/BugReporter.h
108 ↗(On Diff #212811)

I guess you should add a comment for anybody who would want to remove this const on why it's a bad idea(?)

This revision is now accepted and ready to land.Aug 7 2019, 3:13 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 13 2019, 3:05 PM